FUDforum
Fast Uncompromising Discussions. FUDforum will get your users talking.

Home » FUDforum Development » Bug Reports » FUDforum v2.8.0 errors (PostgreSQL)
Show: Today's Messages :: Unread Messages :: Show Polls :: Message Navigator
| Subscribe to topic | Bookmark topic 
Switch to threaded view of this topic Create a new topic Submit Reply
FUDforum v2.8.0 errors [message #158566] Tue, 03 March 2009 17:34 Go to next message
ganman is currently offline  ganman   Russian Federation
Messages: 3
Registered: March 2009
Location: Russia
Karma: 0
Junior Member
add to buddy list
ignore all messages by this user
Sorry for my bad english

PHP 5.2.4
PostgreSQL 8.2.5
FUDforum v2.8.0

I have error in FUDforum default installion where category default view is compact, in admin control panel edit category does not work Sad

[Updated on: Tue, 03 March 2009 18:58]

Report message to a moderator

Re: FUDforum v2.8.0 errors [message #158567 is a reply to message #158566] Wed, 04 March 2009 00:05 Go to previous messageGo to next message
naudefj is currently offline  naudefj   South Africa
Messages: 3624
Registered: December 2004
Karma: 17
Senior Member
Administrator
Core Developer
remove from buddy list
ignore all messages by this user
Can you please cut and paste the error here?

UPDATE: Please also see http://cvs.prohost.org/index.php/Reporting_bugs
Re: FUDforum v2.8.0 errors [message #158577 is a reply to message #158566] Wed, 04 March 2009 13:00 Go to previous messageGo to next message
ganman is currently offline  ganman   Russian Federation
Messages: 3
Registered: March 2009
Location: Russia
Karma: 0
Junior Member
add to buddy list
ignore all messages by this user
After default installion I chosen russian-utf8 language, if I Has chosen english I see same result.
Viev after default installion
index.php?t=getfile&id=5505&private=0
I edit category Admin Control Panel chosen Default view: Open
but default view is compact in main page. Sad
index.php?t=getfile&id=5506&private=0
If add category and chosen Default view: Open I see default view compact in main page. Sad
  • Attachment: default.JPG
    (Size: 15.57KB, Downloaded 368 times)
  • Attachment: open.JPG
    (Size: 30.99KB, Downloaded 357 times)
Re: FUDforum v2.8.0 errors [message #158579 is a reply to message #158577] Wed, 04 March 2009 14:16 Go to previous messageGo to next message
naudefj is currently offline  naudefj   South Africa
Messages: 3624
Registered: December 2004
Karma: 17
Senior Member
Administrator
Core Developer
remove from buddy list
ignore all messages by this user
FUDforum remembers the category state (open or collapsed) per user (using AJAX). The default state is only used for users who are logged out, or who haven't ever clicked on them to change state.
Re: FUDforum v2.8.0 errors [message #158580 is a reply to message #158566] Wed, 04 March 2009 14:28 Go to previous messageGo to next message
ganman is currently offline  ganman   Russian Federation
Messages: 3
Registered: March 2009
Location: Russia
Karma: 0
Junior Member
add to buddy list
ignore all messages by this user
in mysql view after default installion
index.php?t=getfile&id=5507&private=0
in mysql this viev can edit Admin Control Panel chosen Default view: Open, Compat

in postgresql view after default installion
index.php?t=getfile&id=5505&private=0

in postgresql this view not can edit Admin Control Panel chosen Default view: Open, Compat

I think this is bug, in FUDforum 2.7.7 this work on postgresql
  • Attachment: mysql.JPG
    (Size: 12.99KB, Downloaded 345 times)

[Updated on: Wed, 04 March 2009 14:31]

Report message to a moderator

Re: FUDforum v2.8.0 errors [message #158582 is a reply to message #158580] Wed, 04 March 2009 14:40 Go to previous messageGo to next message
naudefj is currently offline  naudefj   South Africa
Messages: 3624
Registered: December 2004
Karma: 17
Senior Member
Administrator
Core Developer
remove from buddy list
ignore all messages by this user
Yes, it looks like a bug.

Unfortunately I don't have PostgreSQL and won't be able to develop a patch for you. I hope you will be able to help?
Re: FUDforum v2.8.0 errors [message #158927 is a reply to message #158582] Thu, 16 April 2009 10:58 Go to previous messageGo to next message
naudefj is currently offline  naudefj   South Africa
Messages: 3624
Registered: December 2004
Karma: 17
Senior Member
Administrator
Core Developer
remove from buddy list
ignore all messages by this user
I've just done my fist PostgresQL install to fix this problem. Here is the patch: http://cvs.prohost.org/c/index.cgi/FUDforum/chngview?cn=11915
Re: FUDforum v2.8.0 errors [message #158928 is a reply to message #158927] Thu, 16 April 2009 11:03 Go to previous message
naudefj is currently offline  naudefj   South Africa
Messages: 3624
Registered: December 2004
Karma: 17
Senior Member
Administrator
Core Developer
remove from buddy list
ignore all messages by this user
More info:

Somehow PostgresQL doesn't like queries like:
SELECT cat_opt, (cat_opt & 4)=4 FROM fud28_cat


MySQL returns:
cat_opt (cat_opt & 4)=4
3       0      


But PgSQL returns:
cat_opt ?column?       
3       f      


The problem was solved by removing the bitwise operation from the query and implementing it in PHP code.
Quick Reply
Formatting Tools:   
  Switch to threaded view of this topic Create a new topic
Previous Topic: Picture problem
Next Topic: i18n characters not showing in dates! (utf-8)
Goto Forum:
  

-=] Back to Top [=-
[ Syndicate this forum (XML) ] [ RSS ]

Current Time: Tue Oct 24 03:53:54 EDT 2017

Total time taken to generate the page: 0.00707 seconds